summaryrefslogtreecommitdiffstats
path: root/vagrant
diff options
context:
space:
mode:
authorKeith Burns (alagalah) <alagalah@gmail.com>2016-05-13 09:31:35 -0700
committerHÃ¥kan Jonsson <hakan.jonsson@ericsson.com>2016-06-15 06:18:31 +0000
commit1a8e2a697ff5513907a767a327d1e363b789f73a (patch)
treedecb5c2b57eb9618a99ee6926d423f3ef4565784 /vagrant
parent08157b83782b7bedfd238c580cde5347ab5408a8 (diff)
NSHSFC-1 Initial move from VPP to NSH_SFC
- API is giving me some negative energy currently -- I'll work it out but wanted to publish both VPP-61 and this simultaneously Change-Id: I4a04b56dd470655114605621d0c44ea3c26bc069 Signed-off-by: Keith Burns (alagalah) <alagalah@gmail.com> Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'vagrant')
-rwxr-xr-xvagrant/cleanup_vpp_plugin_dev_env.sh27
-rwxr-xr-xvagrant/setup_vpp_plugin_dev_env.sh47
2 files changed, 74 insertions, 0 deletions
diff --git a/vagrant/cleanup_vpp_plugin_dev_env.sh b/vagrant/cleanup_vpp_plugin_dev_env.sh
new file mode 100755
index 0000000..41b9f2e
--- /dev/null
+++ b/vagrant/cleanup_vpp_plugin_dev_env.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -xe -o pipefail
+
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+ . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+ sudo yum install -y redhat-lsb
+ DISTRIB_ID=`lsb_release -si`
+ DISTRIB_RELEASE=`lsb_release -sr`
+ DISTRIB_CODENAME=`lsb_release -sc`
+ DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+# Cleanup in case of installing vpp-dev and vpp-lib
+echo "Cleaning up in case of vpp-dev and vpp-lib being installed"
+if [ $DISTRIB_ID == "Ubuntu" ]; then
+ sudo rm -f /etc/apt/sources.list.d/99fd.io.list
+ sudo dpkg -r vpp-dev vpp-lib vpp vpp-dpdk-dev vpp-dpdk-dkms vpp-dbg
+elif [[ $DISTRIB_ID == "CentOS" ]]; then
+ sudo rm -f /etc/yum.repos.d/fdio-master.repo
+ sudo yum remove -y vpp-devel vpp-lib vpp
+fi
diff --git a/vagrant/setup_vpp_plugin_dev_env.sh b/vagrant/setup_vpp_plugin_dev_env.sh
new file mode 100755
index 0000000..d690ba9
--- /dev/null
+++ b/vagrant/setup_vpp_plugin_dev_env.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+set -e -o pipefail
+
+#!/bin/bash
+set -e -o pipefail
+
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+ . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+ sudo yum install -y redhat-lsb
+ DISTRIB_ID=`lsb_release -si`
+ DISTRIB_RELEASE=`lsb_release -sr`
+ DISTRIB_CODENAME=`lsb_release -sc`
+ DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+function setup {
+ REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
+ echo "REPO_URL: ${REPO_URL}"
+ # Setup by installing vpp-dev and vpp-lib
+ if [ $DISTRIB_ID == "Ubuntu" ]; then
+ sudo rm -f /etc/apt/sources.list.d/99fd.io.list
+ echo "deb ${REPO_URL} ./" | sudo tee /etc/apt/sources.list.d/99fd.io.list
+ sudo apt-get update
+ sudo apt-get -y remove vpp-dev vpp-lib
+ sudo apt-get -y --force-yes install vpp-dev vpp-lib
+ elif [[ $DISTRIB_ID == "CentOS" ]]; then
+ sudo rm -f /etc/yum.repos.d/fdio-master.repo
+ sudo cat << EOF > fdio-master.repo
+[fdio-master]
+name=fd.io master branch latest merge
+baseurl=${REPO_URL}
+enabled=1
+gpgcheck=0
+EOF
+ sudo mv fdio-master.repo /etc/yum.repos.d/fdio-master.repo
+ sudo yum -y remove vpp-devel vpp-lib
+ sudo yum -y install vpp-devel vpp-lib
+ fi
+}
+
+setup \ No newline at end of file